Method: a2a.projects.locations.agents.v1.message.send

Send a message to the agent. This is a blocking call that will return the task once it is completed, or a LRO if requested.

HTTP request

POST https://geminidataanalytics.googleapis.com/v1/a2a/{tenant=projects/*/locations/*/agents/*}/v1/message:send

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
tenant

string

Optional tenant, provided as a path parameter. Experimental, might still change for 1.0 release.

Request body

The request body contains data with the following structure:

JSON representation
{
  "message": {
    object (Message)
  },
  "configuration": {
    object (SendMessageConfiguration)
  },
  "metadata": {
    object
  }
}
Fields
message

object (Message)

Required. The message to send to the agent.

configuration

object (SendMessageConfiguration)

Configuration for the send request.

metadata

object (Struct format)

Optional metadata for the request.

Response body

If successful, the response body contains an instance of SendMessageResponse.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.